> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an asset

> Get a single asset by ID



## OpenAPI

````yaml https://api.krea.ai/openapi.json get /assets/{id}
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /assets/{id}:
    get:
      tags:
        - Assets
      summary: Get an asset
      description: Get a single asset by ID
      parameters:
        - in: path
          name: id
          description: Asset ID
          schema:
            type: string
            format: uuid
            description: Asset ID
          required: true
      responses:
        '200':
          description: Asset details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  image_url:
                    type: string
                    format: uri
                  uploaded_at:
                    type: string
                    format: date-time
                  width:
                    type:
                      - number
                      - 'null'
                  height:
                    type:
                      - number
                      - 'null'
                  size_bytes:
                    type:
                      - number
                      - 'null'
                  mime_type:
                    type:
                      - string
                      - 'null'
                  description:
                    type: string
                required:
                  - id
                  - image_url
                  - uploaded_at
                  - width
                  - height
                  - size_bytes
                  - mime_type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````